Buypeeb
===

i figured, may as well try and learn c#

0uo

## installing
you need [mono](https://www.mono-project.com/download/stable/) and [gtk sharp 3](https://github.com/GtkSharp/GtkSharp/)

### installing on debian
the packages you'll need are `mono-devel` and `gtk-sharp3`, so:
```
sudo apt install mono-devel gtk-sharp3
```

### installing on arch
```
sudo pacman -S mono gtk-sharp-3
```

### installing on windows
- download and install ".NET Core SDK" from [this page](https://dotnet.microsoft.com/download)
- run `dotnet build` - this *should* pull in gtk3 automatically - if not, you'll need to [install it yourself](https://github.com/tschoonj/GTK-for-Windows-Runtime-Environment-Installer/releases/latest)

this will install and use .NET core instead of mono but as far as i know it should be fine

## compiling
### linux
```
mcs -pkg:gtk-sharp-3.0 -resource:ui.glade *.cs
```
### windows
```
dotnet build
```

## running
### linux
```
mono ./BuypeebApp.exe
```
### windows
```
dotnet run
```
